Skip to main content
PATCH
Update record
Only provided fields will be updated

Authorizations

Authorization
string
header
required

Enter your Zite API key. Format: Bearer <api_key>

Path Parameters

databaseId
string
required

The unique identifier of the database

tableId
string
required

The unique identifier of the table.

recordId
string<uuid>
required

The UUID of the record to update

Body

application/json
record
object
required

Fields to update with their new values (using field names or field IDs as keys). Only include fields you want to change.

Example:
strict
boolean
default:false

Reject values the write would otherwise coerce: select values that match no option (by default they are stored without being added to the field's options) and unparseable numbers (stored as empty by default).

Response

Record updated successfully

id
string<uuid>
required

Unique UUID identifier for the record

data
object
required

Record data with field IDs as keys

Example:
fields
object
required

Record data with field names as keys

Example:
createdAt
string<date-time>
required

ISO timestamp of when the record was created

updatedAt
string<date-time>
required

ISO timestamp of when the record was last updated

attachmentErrors
object[]

Present when one or more attachment URLs could not be stored.

attachmentErrorsTruncated
boolean

Set to true only when more URLs failed than attachmentErrors lists.